<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\DozentenInfo\SammelEMail;

class SammelEMailController extends \Kufer\Web\KuferTools\Basis\DozentenInfo\SammelEMail\SammelEMailController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new SammelEMailUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new SammelEMailPresenter($pUseCaseResponse);
  }

  protected function getRequestObj()
  {
    $request = parent::getRequestObj();
    $request->email_num = \RequestOperations::getVarValue('email_num', '0');

    return $request;
  }

  protected function getNewRequestObj()
  {
    return new SammelEMailRequest();
  }
}